/**
 * @fileoverview gulpfile for watching and compiling .tex notes.
 * @author Alvin Lin (alvin@omgimanerd.tech)
 */

const fs = require('fs');
const path = require('path');

const glob = require('glob');
const gulp = require('gulp');
const gutil = require('gulp-util');
const gulpPdflatex2 = require('gulp-pdflatex2');
const gulpPlumber = require('gulp-plumber');

gulp.task('default', ['latex']);

const errorHandler = function() {
  this.emit('end');
};

gulp.task('latex', () => {
  return gulp.src('./book/book.tex')
    .pipe(gulpPlumber({ errorHandler: errorHandler }))
    .pipe(gulpPdflatex2({
      options: ['-shell-escape'],
      TEXINPUTS: ['./output']
    }))
    .pipe(gulp.dest('./output'));
});

gulp.task('clean-all', () => {
  return del(['./output']);
});

gulp.task('watch', () => {
  gulp.watch('book/**/*.tex', { cwd: './'}, ['latex']);
});
